Page MenuHomePhabricator

Implement contact form design
Closed, ResolvedPublic3 Estimated Story Points

Description

Acceptance Criteria

  • The form is implemented as shown in the mock for desktop and mobile view.
  • The three optional fields (first name, last name, reference ID) are marked as such by adding "(Optional)" to their labels.
  • The labels of mandatory fields are not marked as such.
  • After successfully submitting the form, the respective confirmation page is displayed.
  • If the server-side validation fails, the form is displayed again, containing the values previously entered.

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
ResolvedNone

Event Timeline

Restricted Application added a project: WMDE-FUN-Team. · View Herald TranscriptMay 22 2019, 6:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kai.nissen set the point value for this task to 5.Jun 3 2019, 9:47 AM
Tim_WMDE moved this task from Todo to Doing on the WMDE-FUN-Sprint-2019-07-22 board.
kai.nissen changed the point value for this task from 5 to 3.Aug 5 2019, 9:26 AM
kai.nissen closed this task as Resolved.Jan 13 2020, 10:22 AM